## org.apache.cassandra.cql3
Class Operation

    java.lang.Object
      org.apache.cassandra.cql3.Operation

    public class Operation

extends java.lang.Object

Nested Class Summary
`static class` `Operation.Type`

Field Summary
`ColumnIdentifier` `ident`
`Operation.Type` `type`
`Term` `value`

Constructor Summary
`Operation(ColumnIdentifier a, Operation.Type type, Term b)`
`Operation(Term a)`

Method Summary
`boolean` `isUnary()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### type

    public final Operation.Type type

### ident

    public final ColumnIdentifier ident

### value

    public final Term value

Constructor Detail

### Operation

    public Operation(Term a)

### Operation

    public Operation(ColumnIdentifier a,
                     Operation.Type type,
                     Term b)

Method Detail

### isUnary

    public boolean isUnary()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 2013 The Apache Software Foundation